﻿<div data-ng-controller="listOfViewZipCodeController as vm">
    <fieldset>
        <div class="row col-xs-12 ">
            <div class="form-group col-xs-4 col-lg-4">
                <label id="lblzipcode">Postal Code</label>
                <input id="txtzipcode" type="text" ng-model="LovParamZipCode.zipcode" class="form-control txtInput" />
            </div>
            <div class="col-xs-5  form-group col-lg-5">
                <label id="lblCountry">Country</label>
                <input id="txtCountry" type="text" ng-model="LovParamZipCode.country" ng-disabled="true" class="form-control txtInput" />
            </div>
        </div>
        <div class="col-xs-12 alpha no-offset">
            <div class="form-group col-xs-6 col-lg-6">
                <input id="btnSearch" type="button" class="btn btn-dialog-search" value="Search" ng-click="vm.SearchData()" />
                <input id="btnCancel" type="button" class="btn btn-dialog-clear" value="Clear" ng-click="vm.ListOfViewCancel()" />
            </div>
            <div class="form-group col-xs-6 col-lg-6 text-right no-offset">
                <label><span ng-if="IsMultipleSelected">AppResource.CommonSelect {{ListSelectedZipCode.length}}/</span>{{ListDisplayZipCode.TotalRecord}} Records</label>
                <button ng-if="IsMultipleSelected" id="btnSubmit" type="button" class="btn btn-sm" data-ng-click="vm.ListOfViewSubmit()">AppResource.CommonOk</button>
            </div>
        </div>
    </fieldset>
    <div class="row col-xs-12 ">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr style="background-color: #FF6505;color: white;">
                        @*<th class="text-center col-xs-1" ng-if="IsShowLock">&nbsp;</th>
                            <th class="text-center col-xs-1" ng-if="IsMultipleSelected">
                                <input id="chkSelectedAll" type="checkbox" ng-model="vm.isCheckedAll" ng-change="vm.SelectedAll()" />
                            </th>*@
                        <th class="text-center col-xs-1"><span>No.</span></th>
                        <th class="text-center col-xs-2">
                            <span style="color:white">Postal Code</span>
                            @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('ZipCode.ZipCode');">
                                <span style="color:white">Postal Code</span>
                                <span ng-if="SearchParameter.SortColumn == 'ZipCode.ZipCode'" ng-class="vm.SortingDisplayIcon();"></span>
                            </a>*@
                        </th>
                        <th class="text-center col-xs-4">
                            <span style="color:white">State</span>
                            @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('ZipCode.state_code');">
                                <span style="color:white">State</span>
                                <span ng-if="SearchParameter.SortColumn == 'ZipCode.state_code'" ng-class="vm.SortingDisplayIcon();"></span>
                            </a>*@
                        </th>
                        <th class="text-center col-xs-5">
                            <span style="color:white">Country</span>
                            @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('ZipCode.Country');">
                                <span style="color:white">Country</span>
                                <span ng-if="SearchParameter.SortColumn == 'ZipCode.Country'" ng-class="vm.SortingDisplayIcon();"></span>
                            </a>*@
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="item in ListDisplayZipCode.SearchResults" class="lblHover" ng-click="vm.SelectRow(item)">
                        <td class="text-center" ng-if="IsMultipleSelected"><input id="checkBox{{item.Id}}" type="checkbox" ng-model="item.IsSelected" ng-change="vm.SelectRow(item)"></td>
                        <td class="text-center">{{(SearchParameter.ItemsPerPage*(SearchParameter.Page-1))+$index+1}}</td>
                        <td class="text-center">{{ item.zipcode }}</td>
                        <td class="text-center">{{ item.state_name }}</td>
                        <td class="text-center">{{ item.country }}</td>

                    </tr>
                    <tr ng-if="ListDisplayZipCode.SearchResults.length <= 0">
                        <td class="text-center" colspan="5">
                            <div>No Data Found.</div>
                        </td>
                    </tr>
                </tbody>
            </table>

            <div class="col-xs-12 form-group no-offset">
                <dir-pagination-lov total-count="ListDisplayZipCode.TotalRecord"
                                    records-per-page="SearchParameter.ItemsPerPage"
                                    url-prefix="'#'+vm.defaultUrlPrefix"
                                    url-postfix="vm.urlPostfix?'?'+vm.urlPostfix:''"
                                    current-page-id="SearchParameter.Page"
                                    skip="SearchParameter.ItemsPerPage*(SearchParameter.Page-1)"
                                    ng-model="SelectedPageLink">
                </dir-pagination-lov>
            </div>
        </div>
        </div>

    </div>
